=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-04-19 20:57:43 +0000
+++ drizzled/drizzled.cc	2010-04-29 03:08:04 +0000
@@ -731,51 +731,6 @@
 
 static st_show_var_func_container show_flushstatustime_cont= { &show_flushstatustime };
 
-/*
-  Variables shown by SHOW STATUS in alphabetical order
-*/
-static drizzle_show_var com_status_vars[]= {
-  {"admin_commands",       (char*) offsetof(system_status_var, com_other), SHOW_LONG_STATUS},
-  {"alter_db",             (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_ALTER_DB]), SHOW_LONG_STATUS},
-  {"alter_table",          (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_ALTER_TABLE]), SHOW_LONG_STATUS},
-  {"analyze",              (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_ANALYZE]), SHOW_LONG_STATUS},
-  {"begin",                (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_BEGIN]), SHOW_LONG_STATUS},
-  {"change_db",            (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CHANGE_DB]), SHOW_LONG_STATUS},
-  {"check",                (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CHECK]), SHOW_LONG_STATUS},
-  {"checksum",             (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CHECKSUM]), SHOW_LONG_STATUS},
-  {"commit",               (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_COMMIT]), SHOW_LONG_STATUS},
-  {"create_db",            (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CREATE_DB]), SHOW_LONG_STATUS},
-  {"create_index",         (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CREATE_INDEX]), SHOW_LONG_STATUS},
-  {"create_table",         (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_CREATE_TABLE]), SHOW_LONG_STATUS},
-  {"delete",               (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_DELETE]), SHOW_LONG_STATUS},
-  {"drop_db",              (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_DROP_DB]), SHOW_LONG_STATUS},
-  {"drop_index",           (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_DROP_INDEX]), SHOW_LONG_STATUS},
-  {"drop_table",           (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_DROP_TABLE]), SHOW_LONG_STATUS},
-  {"empty_query",          (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_EMPTY_QUERY]), SHOW_LONG_STATUS},
-  {"flush",                (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_FLUSH]), SHOW_LONG_STATUS},
-  {"insert",               (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_INSERT]), SHOW_LONG_STATUS},
-  {"insert_select",        (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_INSERT_SELECT]), SHOW_LONG_STATUS},
-  {"kill",                 (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_KILL]), SHOW_LONG_STATUS},
-  {"load",                 (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_LOAD]), SHOW_LONG_STATUS},
-  {"release_savepoint",    (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_RELEASE_SAVEPOINT]), SHOW_LONG_STATUS},
-  {"rename_table",         (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_RENAME_TABLE]), SHOW_LONG_STATUS},
-  {"replace",              (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_REPLACE]), SHOW_LONG_STATUS},
-  {"replace_select",       (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_REPLACE_SELECT]), SHOW_LONG_STATUS},
-  {"rollback",             (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_ROLLBACK]), SHOW_LONG_STATUS},
-  {"rollback_to_savepoint",(char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_ROLLBACK_TO_SAVEPOINT]), SHOW_LONG_STATUS},
-  {"savepoint",            (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SAVEPOINT]), SHOW_LONG_STATUS},
-  {"select",               (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SELECT]), SHOW_LONG_STATUS},
-  {"set_option",           (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SET_OPTION]), SHOW_LONG_STATUS},
-  {"show_create_db",       (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_CREATE_DB]), SHOW_LONG_STATUS},
-  {"show_create_table",    (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_CREATE]), SHOW_LONG_STATUS},
-  {"show_errors",          (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_ERRORS]), SHOW_LONG_STATUS},
-  {"show_warnings",        (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_WARNS]), SHOW_LONG_STATUS},
-  {"truncate",             (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_TRUNCATE]), SHOW_LONG_STATUS},
-  {"unlock_tables",        (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_UNLOCK_TABLES]), SHOW_LONG_STATUS},
-  {"update",               (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_UPDATE]), SHOW_LONG_STATUS},
-  {NULL, NULL, SHOW_LONGLONG}
-};
-
 static drizzle_show_var status_vars[]= {
   {"Aborted_clients",          (char*) &aborted_threads,        SHOW_LONGLONG},
   {"Aborted_connects",         (char*) &aborted_connects,       SHOW_LONGLONG},
@@ -872,14 +827,6 @@
     strncpy(pidfile_name, glob_hostname, sizeof(pidfile_name)-5);
   strcpy(internal::fn_ext(pidfile_name),".pid");		// Add proper extension
 
-  /*
-    Add server status variables to the dynamic list of
-    status variables that is shown by SHOW STATUS.
-    Later, in plugin_init, new entries could be added to that list.
-  */
-  if (add_com_status_vars(com_status_vars))
-    return 1; // an error was already reported
-
   if (add_status_vars(status_vars))
     return 1; // an error was already reported
 

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2010-04-19 21:42:39 +0000
+++ drizzled/session.h	2010-04-29 03:08:04 +0000
@@ -230,7 +230,6 @@
   uint64_t bytes_received;
   uint64_t bytes_sent;
   ulong com_other;
-  ulong com_stat[(uint32_t) SQLCOM_END];
   ulong created_tmp_disk_tables;
   ulong created_tmp_tables;
   ulong ha_commit_count;

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2010-04-23 00:20:04 +0000
+++ drizzled/show.cc	2010-04-29 03:08:04 +0000
@@ -654,7 +654,6 @@
 *****************************************************************************/
 
 static vector<drizzle_show_var *> all_status_vars;
-static vector<drizzle_show_var *> com_status_vars;
 static bool status_vars_inited= 0;
 static int show_var_cmp(const void *var1, const void *var2)
 {
@@ -687,11 +686,6 @@
   return all_status_vars.front();
 }
 
-drizzle_show_var *getCommandStatusVars()
-{
-  return com_status_vars.front();
-}
-
 /*
   Adds an array of drizzle_show_var entries to the output of SHOW STATUS
 
@@ -724,19 +718,6 @@
   return res;
 }
 
-int add_com_status_vars(drizzle_show_var *list)
-{
-  int res= 0;
-
-  while (list->name)
-    com_status_vars.insert(com_status_vars.begin(), list++);
-  if (status_vars_inited)
-    sort(com_status_vars.begin(), com_status_vars.end(),
-         show_var_cmp_functor());
-
-  return res;
-}
-
 /*
   Make all_status_vars[] usable for SHOW STATUS
 
@@ -750,8 +731,6 @@
   status_vars_inited= 1;
   sort(all_status_vars.begin(), all_status_vars.end(),
        show_var_cmp_functor());
-  sort(com_status_vars.begin(), com_status_vars.end(),
-       show_var_cmp_functor());
 }
 
 void reset_status_vars()
@@ -766,15 +745,6 @@
       (*p)->value= 0;
     ++p;
   }
-
-  p= com_status_vars.begin();
-  while (p != com_status_vars.end())
-  {
-    /* Note that SHOW_LONG_NOFLUSH variables are not reset */
-    if ((*p)->type == SHOW_LONG)
-      (*p)->value= 0;
-    ++p;
-  }
 }
 
 /*
@@ -789,7 +759,6 @@
 void free_status_vars()
 {
   all_status_vars.clear();
-  com_status_vars.clear();
 }
 
 /*

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2010-03-31 05:53:34 +0000
+++ drizzled/show.h	2010-04-29 03:08:04 +0000
@@ -51,7 +51,6 @@
 extern struct system_status_var global_status_var;
 
 drizzle_show_var *getFrontOfStatusVars();
-drizzle_show_var *getCommandStatusVars();
 
 int store_create_info(TableList *table_list, String *packet, bool is_if_not_exists);
 
@@ -65,7 +64,6 @@
 void calc_sum_of_all_status(struct system_status_var *to);
 
 int add_status_vars(drizzle_show_var *list);
-int add_com_status_vars(drizzle_show_var *list);
 void remove_status_vars(drizzle_show_var *list);
 void init_status_vars();
 void free_status_vars();

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2010-04-19 19:23:14 +0000
+++ drizzled/sql_parse.cc	2010-04-29 03:08:04 +0000
@@ -195,7 +195,6 @@
   switch (command) {
   case COM_INIT_DB:
   {
-    status_var_increment(session->status_var.com_stat[SQLCOM_CHANGE_DB]);
     if (packet_length == 0)
     {
       my_message(ER_NO_DB_ERROR, ER(ER_NO_DB_ERROR), MYF(0));
@@ -473,8 +472,6 @@
     drizzle_reset_errors(session, 0);
   }
 
-  status_var_increment(session->status_var.com_stat[lex->sql_command]);
-
   assert(session->transaction.stmt.hasModifiedNonTransData() == false);
 
   /* now we are ready to execute the statement */

=== modified file 'plugin/logging_stats/logging_stats.cc'
--- plugin/logging_stats/logging_stats.cc	2010-04-27 03:43:31 +0000
+++ plugin/logging_stats/logging_stats.cc	2010-04-29 03:08:04 +0000
@@ -76,9 +76,6 @@
  * 
  * TODO 
  *
- * Logic should be reworked to not acquire a lock if a session has already reserved
- * a slot for itself.
- *
  * A pointer to the scoreboard slot could be added to the Session object.
  * This will avoid the session having to do multiple lookups in the scoreboard,
  * this will also avoid having to take a lock to locate the scoreboard slot 

=== modified file 'plugin/logging_stats/logging_stats.h'
--- plugin/logging_stats/logging_stats.h	2010-04-27 03:09:18 +0000
+++ plugin/logging_stats/logging_stats.h	2010-04-29 03:08:04 +0000
@@ -81,8 +81,6 @@
   }
 
 private:
-  static const int32_t UNINITIALIZED= -1;
-
   Scoreboard *current_scoreboard;
 
   CumulativeStats *cumulative_stats;

=== modified file 'plugin/logging_stats/scoreboard.cc'
--- plugin/logging_stats/scoreboard.cc	2010-04-24 19:46:19 +0000
+++ plugin/logging_stats/scoreboard.cc	2010-04-29 03:08:04 +0000
@@ -133,6 +133,54 @@
   return (session->getSessionId() % number_buckets);
 }
 
+ScoreboardSlot* Scoreboard::findOurScoreboardSlot(Session *session, 
+                                                  vector<ScoreboardSlot* > *scoreboard_vector)
+{
+  ScoreboardSlot *scoreboard_slot= NULL;
+
+  for (vector<ScoreboardSlot *>::iterator it= scoreboard_vector->begin();
+       it != scoreboard_vector->end(); ++it)
+  {
+    scoreboard_slot= *it;
+
+    if (scoreboard_slot->getSessionId() == session->getSessionId())
+    {
+      return scoreboard_slot; 
+    }
+  }
+  return NULL;
+}
+
+ScoreboardSlot* Scoreboard::claimOpenScoreboardSlot(Session *session, 
+                                                    uint32_t bucket_number, 
+                                                    vector<ScoreboardSlot* > *scoreboard_vector)
+{
+  pthread_rwlock_t *LOCK_scoreboard_vector= vector_of_scoreboard_locks.at(bucket_number);
+  pthread_rwlock_wrlock(LOCK_scoreboard_vector);
+
+  ScoreboardSlot *scoreboard_slot= NULL;
+
+  for (vector<ScoreboardSlot *>::iterator it= scoreboard_vector->begin();
+       it != scoreboard_vector->end(); ++it)
+  {
+    scoreboard_slot= *it;
+
+    if (scoreboard_slot->isInUse() == false)
+    {
+      scoreboard_slot->setInUse(true);
+      scoreboard_slot->setSessionId(session->getSessionId());
+      scoreboard_slot->setUser(session->getSecurityContext().getUser());
+      scoreboard_slot->setIp(session->getSecurityContext().getIp());
+      pthread_rwlock_unlock(LOCK_scoreboard_vector);
+      return scoreboard_slot; 
+    }
+  }
+
+  pthread_rwlock_unlock(LOCK_scoreboard_vector);
+
+  return NULL; 
+}
+
 ScoreboardSlot* Scoreboard::findScoreboardSlotToLog(Session *session)
 {
   /* our bucket */
@@ -140,63 +188,14 @@
 
   /* our vector corresponding to bucket_number */
   vector<ScoreboardSlot* > *scoreboard_vector= vector_of_scoreboard_vectors.at(bucket_number); 
-
-  /* out lock corresponding to bucket_number */
-  pthread_rwlock_t *LOCK_scoreboard_vector= vector_of_scoreboard_locks.at(bucket_number);
-
-  pthread_rwlock_wrlock(LOCK_scoreboard_vector);
-  ScoreboardSlot *scoreboard_slot= NULL;
-  int32_t our_slot= UNINITIALIZED;
-  int32_t open_slot= UNINITIALIZED;
-
-  uint32_t current_slot= 0;
-  for (vector<ScoreboardSlot *>::iterator it= scoreboard_vector->begin();
-       it != scoreboard_vector->end(); ++it, current_slot++)
-  {
-    scoreboard_slot= *it;
-
-    if (scoreboard_slot->isInUse() == true)
-    {
-      /* Check if this session is the one using this slot */
-      if (scoreboard_slot->getSessionId() == session->getSessionId())
-      {
-        our_slot= current_slot;
-        break;
-      }
-      else
-      {
-        continue;
-      }
-    }
-    else
-    {
-      /* save off the open slot */
-      if (open_slot == UNINITIALIZED)
-      {
-        open_slot= current_slot;
-      }
-      continue;
-    }
-  }
-
-  if (our_slot != UNINITIALIZED)
-  {
-    pthread_rwlock_unlock(LOCK_scoreboard_vector);
-  }
-  else if (open_slot != UNINITIALIZED)
-  {
-    scoreboard_slot= scoreboard_vector->at(open_slot);
-    scoreboard_slot->setInUse(true);
-    scoreboard_slot->setSessionId(session->getSessionId());
-    scoreboard_slot->setUser(session->getSecurityContext().getUser());
-    scoreboard_slot->setIp(session->getSecurityContext().getIp());
-    pthread_rwlock_unlock(LOCK_scoreboard_vector);
-  }
-  else
-  {
-    pthread_rwlock_unlock(LOCK_scoreboard_vector);
-    /* there was no available slot for this session */
-    return NULL;
+  
+  ScoreboardSlot* scoreboard_slot= NULL;
+
+  scoreboard_slot= findOurScoreboardSlot(session, scoreboard_vector);
+
+  if (scoreboard_slot == NULL)
+  {
+    scoreboard_slot= claimOpenScoreboardSlot(session, bucket_number, scoreboard_vector);
   }
 
   return scoreboard_slot;

=== modified file 'plugin/logging_stats/scoreboard.h'
--- plugin/logging_stats/scoreboard.h	2010-04-24 19:46:19 +0000
+++ plugin/logging_stats/scoreboard.h	2010-04-29 03:08:04 +0000
@@ -85,11 +85,17 @@
   }
 
 private:
-  static const int32_t UNINITIALIZED= -1;
   uint32_t number_sessions;
   uint32_t number_buckets;
   std::vector<std::vector<ScoreboardSlot* >* > vector_of_scoreboard_vectors;
   std::vector<pthread_rwlock_t* > vector_of_scoreboard_locks;
+
+  ScoreboardSlot* claimOpenScoreboardSlot(drizzled::Session *session, 
+                                          uint32_t bucket_number, 
+                                          std::vector<ScoreboardSlot* > *scoreboard_vector);
+
+  ScoreboardSlot* findOurScoreboardSlot(drizzled::Session *session, 
+                                        std::vector<ScoreboardSlot* > *scoreboard_vector);
 };
 
 #endif /* PLUGIN_LOGGING_STATS_SCOREBOARD_H */

=== modified file 'plugin/logging_stats/stats_schema.cc'
--- plugin/logging_stats/stats_schema.cc	2010-04-27 03:09:18 +0000
+++ plugin/logging_stats/stats_schema.cc	2010-04-29 03:08:04 +0000
@@ -88,6 +88,8 @@
 #include "stats_schema.h"
 #include "scoreboard.h"
 
+#include <sstream>
+
 using namespace drizzled;
 using namespace plugin;
 using namespace std;
@@ -97,7 +99,7 @@
 {
   logging_stats= in_logging_stats;
   add_field("VARIABLE_NAME");
-  add_field("VARIABLE_VALUE", TableFunction::NUMBER);
+  add_field("VARIABLE_VALUE", 1024);
 }
 
 SessionStatementsTool::Generator::Generator(Field **arg, LoggingStats *logging_stats) :
@@ -151,8 +153,10 @@
     return false;
   }
 
-  push(UserCommands::STATUS_VARS[count]);
-  push(user_commands->getCount(count));
+  push(UserCommands::COM_STATUS_VARS[count]);
+  ostringstream oss;
+  oss << user_commands->getCount(count);
+  push(oss.str()); 
 
   ++count;
   return true;
@@ -163,7 +167,7 @@
 {   
   logging_stats= in_logging_stats;
   add_field("VARIABLE_NAME");
-  add_field("VARIABLE_VALUE", TableFunction::NUMBER);
+  add_field("VARIABLE_VALUE", 1024);
 }
 
 GlobalStatementsTool::Generator::Generator(Field **arg, LoggingStats *logging_stats) :
@@ -181,8 +185,10 @@
     return false;
   }
 
-  push(UserCommands::STATUS_VARS[count]);
-  push(global_stats->getUserCommands()->getCount(count));
+  push(UserCommands::COM_STATUS_VARS[count]);
+  ostringstream oss;
+  oss << global_stats->getUserCommands()->getCount(count);
+  push(oss.str());
 
   ++count;
   return true;

=== modified file 'plugin/logging_stats/user_commands.cc'
--- plugin/logging_stats/user_commands.cc	2010-04-27 03:09:18 +0000
+++ plugin/logging_stats/user_commands.cc	2010-04-29 03:08:04 +0000
@@ -46,7 +46,7 @@
   "COUNT_ADMIN"
 };
 
-const char* UserCommands::STATUS_VARS[] =
+const char* UserCommands::COM_STATUS_VARS[] =
 {
   "select",
   "create_table",

=== modified file 'plugin/logging_stats/user_commands.h'
--- plugin/logging_stats/user_commands.h	2010-04-27 03:26:10 +0000
+++ plugin/logging_stats/user_commands.h	2010-04-29 03:08:04 +0000
@@ -62,7 +62,7 @@
     return COUNT_END; 
   }
 
-  static const char *STATUS_VARS[];
+  static const char *COM_STATUS_VARS[];
 
   static const char *USER_COUNTS[];
 

=== modified file 'plugin/schema_dictionary/tests/r/data_dictionary.result'
--- plugin/schema_dictionary/tests/r/data_dictionary.result	2010-04-07 21:54:30 +0000
+++ plugin/schema_dictionary/tests/r/data_dictionary.result	2010-04-29 03:08:04 +0000
@@ -462,10 +462,6 @@
 #
 #
 #
-#
-#
-#
-#
 SELECT count(*) FROM REFERENTIAL_CONSTRAINTS;
 count(*)
 #

=== modified file 'plugin/status_dictionary/dictionary.cc'
--- plugin/status_dictionary/dictionary.cc	2010-03-06 02:08:13 +0000
+++ plugin/status_dictionary/dictionary.cc	2010-04-29 03:08:04 +0000
@@ -23,8 +23,6 @@
 
 using namespace drizzled;
 
-static StatementsTool *global_statements;
-static StatementsTool *session_statements;
 static StatusTool *global_status;
 static StatusTool *session_status;
 static VariablesTool *global_variables;
@@ -33,17 +31,13 @@
 
 static int init(drizzled::plugin::Context &context)
 {
-  global_statements= new(std::nothrow)StatementsTool(true);
   global_status= new(std::nothrow)StatusTool(true);
-  session_statements= new(std::nothrow)StatementsTool(false);
   session_status= new(std::nothrow)StatusTool(false);
   global_variables= new(std::nothrow)VariablesTool(true);
   session_variables= new(std::nothrow)VariablesTool(false);
 
-  context.add(global_statements);
   context.add(global_status);
   context.add(global_variables);
-  context.add(session_statements);
   context.add(session_status);
   context.add(session_variables);
   

=== modified file 'plugin/status_dictionary/status.h'
--- plugin/status_dictionary/status.h	2010-02-16 00:36:58 +0000
+++ plugin/status_dictionary/status.h	2010-04-29 03:08:04 +0000
@@ -34,18 +34,4 @@
   }
 };
 
-
-class StatementsTool : public StateTool
-{
-public:
-  StatementsTool(bool global) :
-    StateTool(global ? "GLOBAL_STATEMENTS" : "SESSION_STATEMENTS", global)
-    { }
-
-  drizzled::drizzle_show_var *getVariables()
-  {
-    return drizzled::getCommandStatusVars();
-  }
-};
-
 #endif /* PLUGIN_STATUS_DICTIONARY_STATUS_H */

=== modified file 'plugin/status_dictionary/tests/r/data_dictionary.result'
--- plugin/status_dictionary/tests/r/data_dictionary.result	2010-02-24 20:30:37 +0000
+++ plugin/status_dictionary/tests/r/data_dictionary.result	2010-04-29 03:08:04 +0000
@@ -5,24 +5,12 @@
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
   `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
-show create table GLOBAL_STATEMENTS ;
-Table	Create Table
-GLOBAL_STATEMENTS	CREATE TABLE `global_statements` (
-  `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
-) ENGINE=FunctionEngine
 show create table GLOBAL_VARIABLES ;
 Table	Create Table
 GLOBAL_VARIABLES	CREATE TABLE `global_variables` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
   `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
-show create table SESSION_STATEMENTS;
-Table	Create Table
-SESSION_STATEMENTS	CREATE TABLE `session_statements` (
-  `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
-) ENGINE=FunctionEngine
 show create table SESSION_STATUS;
 Table	Create Table
 SESSION_STATUS	CREATE TABLE `session_status` (
@@ -35,18 +23,12 @@
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
   `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
-SELECT count(*) FROM data_dictionary.GLOBAL_STATEMENTS;
-count(*)
-#
 SELECT count(*) FROM data_dictionary.GLOBAL_STATUS;
 count(*)
 #
 SELECT count(*) FROM data_dictionary.GLOBAL_VARIABLES;
 count(*)
 #
-SELECT count(*) FROM data_dictionary.SESSION_STATEMENTS;
-count(*)
-#
 SELECT count(*) FROM data_dictionary.SESSION_STATUS;
 count(*)
 #

=== modified file 'plugin/status_dictionary/tests/t/data_dictionary.test'
--- plugin/status_dictionary/tests/t/data_dictionary.test	2010-02-24 20:30:37 +0000
+++ plugin/status_dictionary/tests/t/data_dictionary.test	2010-04-29 03:08:04 +0000
@@ -3,26 +3,18 @@
 use data_dictionary;
 
 show create table GLOBAL_STATUS ;
-show create table GLOBAL_STATEMENTS ;
 show create table GLOBAL_VARIABLES ;
 
-show create table SESSION_STATEMENTS;
 show create table SESSION_STATUS;
 show create table SESSION_VARIABLES;
 
 --replace_column 1 #
-SELECT count(*) FROM data_dictionary.GLOBAL_STATEMENTS;
-
---replace_column 1 #
 SELECT count(*) FROM data_dictionary.GLOBAL_STATUS;
 
 --replace_column 1 #
 SELECT count(*) FROM data_dictionary.GLOBAL_VARIABLES;
 
 --replace_column 1 #
-SELECT count(*) FROM data_dictionary.SESSION_STATEMENTS;
-
---replace_column 1 #
 SELECT count(*) FROM data_dictionary.SESSION_STATUS;
 
 --replace_column 1 #

=== modified file 'tests/r/data_dictionary_like_info.result'
--- tests/r/data_dictionary_like_info.result	2010-04-07 21:54:30 +0000
+++ tests/r/data_dictionary_like_info.result	2010-04-29 03:08:04 +0000
@@ -191,7 +191,7 @@
  or DATA_TYPE = 'varchar')
 group by DATA_TYPE order by DATA_TYPE, num;
 DATA_TYPE	group_concat(table_schema, '.', table_name)	num
-VARCHAR	DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEX_PART	145
+VARCHAR	DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEX_PARTS,DATA_DICTIONARY.INDEX_PARTS,DATA_DICTIONARY.INDEX_PARTS,DATA_DICTI	141
 Warnings:
 Warning	1260	1 line(s) were cut by GROUP_CONCAT()
 create table t1(f1 char(1) not null, f2 char(9) not null);

=== modified file 'tests/r/information_schema.result'
Binary files tests/r/information_schema.result and tests/r/information_schema.result differ
